Networking_odl full_sync record l2gw connection creation journal entry with wrong key name.

Bug #1715133 reported by Ran Xiao on 2017-09-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
networking-odl
Critical
rajiv

Bug Description

・Summary : Networking_odl full_sync record l2gw connection creation journal entry with wrong key name.

・Version: stable/ocata & master

・Issue faced :
  We found that l2gw connection is not created sucessfully after full_sync executed.
  By checking both neutron debug log and ODL karaf log, we found the cause is that json data send to ODL for l2gwconnection creation generated by full sync is different with json data generated by new neutron creation command.
  For neutron creation command, journal entry is recorded by l2gw v2 driver after neutron DB updated.(using key name "gateway_id")
  https://github.com/openstack/networking-odl/blob/master/networking_odl/l2gateway/driver_v2.py#L82
  For full sync, journal entry is recorded directly by full_sync without l2gw v2 driver.(using key name "l2_gateway_id")

  Below are neutron logs.
  Neutron creation command:
  2017-09-04 17:33:37.037 28382 DEBUG networking_odl.common.client [-] Sending METHOD (post) URL (http://172.16.1.30:8080/controller/nb/v2/neutron/l2gateway-connections) JSON ({
    "l2gateway_connection": {
      "gateway_id": "8b35c5a9-0498-4754-aa25-f824210607c4",
      "network_id": "78224892-3cb0-47f9-8879-858f8072bef9",
      "tenant_id": "e309f6c154ef44f7bf839cd653069087",
      "segmentation_id": "2222",
      "project_id": "e309f6c154ef44f7bf839cd653069087",
      "id": "f4805b7e-784e-4119-b940-049be9e438ba"
    }
  }) request /usr/lib/python2.7/site-packages/networking_odl/common/client.py:86
  2017-09-04 17:33:37.149 28382 DEBUG networking_odl.common.client [-] Got response:
  ({
     "l2gateway_connection" : {
        "id" : "f4805b7e-784e-4119-b940-049be9e438ba",
        "tenant_id" : "e309f6c154ef44f7bf839cd653069087",
        "project_id" : "e309f6c154ef44f7bf839cd653069087",
        "gateway_id" : "8b35c5a9-0498-4754-aa25-f824210607c4",
        "network_id" : "78224892-3cb0-47f9-8879-858f8072bef9",
        "segmentation_id" : 2222
     }
  }) _check_rensponse /usr/lib/python2.7/site-packages/networking_odl/common/client.py:141

  full_sync:
  2017-09-04 12:09:11.735 31030 DEBUG networking_odl.common.client [-] Sending METHOD (post) URL (http://172.16.1.30:8080/controller/nb/v2/neutron/l2gateway-connections) JSON ({
    "l2gateway_connection": {
      "l2_gateway_id": "c3222ac9-c3ed-4e17-92e5-ba81c51252a2",
      "network_id": "043bd808-3c2b-4d59-a1e8-18e1d1c214f7",
      "tenant_id": "e309f6c154ef44f7bf839cd653069087",
      "segmentation_id": 2222,
      "project_id": "e309f6c154ef44f7bf839cd653069087",
      "id": "e8f142ca-26d4-44e9-80a8-1b5398519a4d"
    }
  }) request /usr/lib/python2.7/site-packages/networking_odl/common/client.py:86
  2017-09-04 12:09:12.254 31030 DEBUG networking_odl.common.client [-] Got response:
  ({
     "l2gateway_connection" : {
        "id" : "e8f142ca-26d4-44e9-80a8-1b5398519a4d",
        "tenant_id" : "e309f6c154ef44f7bf839cd653069087",
        "project_id" : "e309f6c154ef44f7bf839cd653069087",
        "network_id" : "043bd808-3c2b-4d59-a1e8-18e1d1c214f7",
        "segmentation_id" : 2222
     }
  }) _check_rensponse /usr/lib/python2.7/site-packages/networking_odl/common/client.py:141

rajiv (rajiv-kumar) on 2017-09-06
Changed in networking-odl:
assignee: nobody → rajiv (rajiv-kumar)
Ran Xiao (ranxiao) wrote :

Full sync for other resources which have their own v2 drivers may have the similar issue.
sfc, qos, bgpvpn ...

Fix proposed to branch: master
Review: https://review.openstack.org/501308

Changed in networking-odl:
status: New → In Progress
Changed in networking-odl:
importance: Undecided → Critical

Change abandoned by Michel Peterson (<email address hidden>) on branch: master
Review: https://review.openstack.org/501308
Reason: Cleaning up changes that seem to be abandoned or are older than two months. If you think this was an error and the change is still relevant, please be free to restore it. Sorry for any inconvenience that I might have caused by this.

Change abandoned by Lucas Alvares Gomes (<email address hidden>) on branch: stable/pike
Review: https://review.openstack.org/545660
Reason: Michel Peterson, done

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers